Bug 1471314 - Provisioning on Azure fails due to lack of UDF driver in main kernel modules
Summary: Provisioning on Azure fails due to lack of UDF driver in main kernel modules
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 26
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-15 00:28 UTC by Brent Baude
Modified: 2017-08-14 21:51 UTC (History)
10 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-08-14 21:51:32 UTC


Attachments (Terms of Use)

Description Brent Baude 2017-07-15 00:28:13 UTC
The F26 AH and Cloud images will not provision on Azure due to a missing udf kernel module.  The udf kernel module is in the kernel-modules-extra.

As of cloud-init-0.7.9, the WALinuxAgent is not needed for provisioning on Azure.  The F26 AH and Cloud images should theoretically be able to boot on Azure now.  However, vm boot process with cloud-init, we have to load a cdrom device with the azure/cloud-init metadata on it.  In Azure, that cdrom device uses a udf filesystem.  Unfortunately the udf kernel driver is in the kernel-modules-extra package and is not available on the base images.  The mount fails and therefore fails the attempt to use cloud-init's data source.

Please consider moving the udf driver from kernel-modules-extra to main.

Comment 1 Laura Abbott 2017-07-17 15:57:00 UTC
The udf module should just be in kernel modules and not kernel-modules-extra. can you double check?

Comment 2 Dusty Mabe 2017-07-17 19:15:21 UTC
(In reply to Laura Abbott from comment #1)
> The udf module should just be in kernel modules and not
> kernel-modules-extra. can you double check?

She seems to be right:

```
[vagrant@vanilla-f26atomic ~]$ sudo modprobe udf                                                                                                                                                                  
[vagrant@vanilla-f26atomic ~]$ lsmod | grep udf
udf                    94208  0
crc_itu_t              16384  1 udf
[vagrant@vanilla-f26atomic ~]$ sudo modinfo udf
filename:       /lib/modules/4.11.8-300.fc26.x86_64/kernel/fs/udf/udf.ko.xz
license:        GPL
description:    Universal Disk Format Filesystem
author:         Ben Fennema
alias:          fs-udf
depends:        crc-itu-t
intree:         Y
vermagic:       4.11.8-300.fc26.x86_64 SMP mod_unload 
signat:         PKCS#7
signer:         
sig_key:        
sig_hashalgo:   md4

```

I checked Fedora 25 as well.

Comment 3 Dusty Mabe 2017-07-17 19:21:30 UTC
ok me again - I think brent was trying both of our images we put out for clouds. We have cloud base and atomic host. 

The cloud base image does not have kernel-modules installed at all, which seems to work for most cloud environments.

```
$ rpm -qa | grep kernel
kernel-headers-4.11.9-300.fc26.x86_64
kernel-core-4.11.8-300.fc26.x86_64
```

Atomic Host does have the kernel-module package installed because the atomic host ostree has to support both cloud environments and bare metal (various hardware) environments. I guess the only way to solve this for cloud base is to make the kernel module not be a module and be compiled in.

Comment 4 Laura Abbott 2017-07-17 19:58:56 UTC
We can have modules in kernel-core as well. I made a scratch build https://koji.fedoraproject.org/koji/taskinfo?taskID=20583661 that should keep udf in the kernel-core package.

Comment 5 Dusty Mabe 2017-07-17 20:05:24 UTC
(In reply to Laura Abbott from comment #4)
> We can have modules in kernel-core as well. I made a scratch build
> https://koji.fedoraproject.org/koji/taskinfo?taskID=20583661 that should
> keep udf in the kernel-core package.

Thanks - i think brent went AFK for a week this morning. I'll build an image for him and gather some feedback from him when he gets back.

Comment 6 Dusty Mabe 2017-07-21 20:53:07 UTC
Here is an ISO with the new kernel-core in it:  https://dustymabe.fedorapeople.org/f26-kernel-core-udf.qcow2

```
[fedora@cloudhost ~]$ rpm -q kernel-core
kernel-core-4.11.11-300.rhbz1471314.fc26.x86_64
[fedora@cloudhost ~]$ lsmod | grep udf
[fedora@cloudhost ~]$ modprobe udf
modprobe: ERROR: could not insert 'udf': Operation not permitted
[fedora@cloudhost ~]$ sudo modprobe udf
[fedora@cloudhost ~]$ lsmod | grep udf
udf                    94208  0
crc_itu_t              16384  1 udf
```

Comment 7 Brent Baude 2017-07-24 18:59:59 UTC
Dusty,

Ill be back 7/31.  Is that an ISO or a bootable image?  The latter is the preferred.

Comment 8 Dusty Mabe 2017-07-24 19:19:48 UTC
(In reply to Brent Baude from comment #7)
> Dusty,
> 
> Ill be back 7/31.  Is that an ISO or a bootable image?  The latter is the
> preferred.

it's a bootable qcow

Comment 9 Brent Baude 2017-08-03 15:42:35 UTC
This did the trick.  I'll defer to you guys on how to implement it

Comment 10 Dusty Mabe 2017-08-03 15:44:14 UTC
(In reply to Laura Abbott from comment #4)
> We can have modules in kernel-core as well. I made a scratch build
> https://koji.fedoraproject.org/koji/taskinfo?taskID=20583661 that should
> keep udf in the kernel-core package.

thanks laura, according to brent that worked. Could we move the udf module to kernel-core?

Comment 11 Laura Abbott 2017-08-03 18:45:28 UTC
I pushed the commit to F26 and rawhide. This will show up in the next builds.

Comment 12 Dusty Mabe 2017-08-03 21:23:12 UTC
(In reply to Laura Abbott from comment #11)
> I pushed the commit to F26 and rawhide. This will show up in the next builds.

:cheers: - thanks Laura!

Comment 13 Fedora Update System 2017-08-07 21:06:39 UTC
kernel-4.12.5-300.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-adc7d95627

Comment 14 Fedora Update System 2017-08-13 04:02:28 UTC
kernel-4.12.5-300.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-adc7d95627

Comment 15 Fedora Update System 2017-08-14 21:51:32 UTC
kernel-4.12.5-300.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.